Bug 1571344 - gedit selects "ss" if it shall select "ß"
Summary: gedit selects "ss" if it shall select "ß"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 28
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 14:55 UTC by customercare
Modified: 2018-11-30 22:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:37:11 UTC
Type: Bug


Attachments (Terms of Use)

Description customercare 2018-04-24 14:55:37 UTC
Description of problem:

The search and replace function of gedit is buggy, due to a misunderstood concept of the german language.

The rule in question:

IF a charset is unable to display/use "ß" ( sz ), the letter "ß" can be translated to "ss". 

This is only valid in ASCII and not valid i.e. with iso-8859-1,iso-8859-15, de-latin1, utf8 etc. because those charsets have a "ß" symbol.

O== Problem here

Example:

..
<div class=upline>Ma&szlig;nahmen zur Sicherung des Datenschutzniveaus</div>
</p>
<ul>
<li>Die Konzepte zur Absicherung der Server, PCs werden regelm&auml;ßig &uuml;berdacht, sobald neue Techniken oder Sicherheitsl&uuml;cken bekannt werden.</li>
..

If i now use the search and replace function to find "ß" and replace it with the html entity "&szlig;", it also selects "ss" like in "class=upline" and replaces it with "&szlig;" , resulting in a ******** big chaos. 

to put it simple :

A) the "ss-replacement" rule does only apply to very old charsets without a "ß" letter.
B) the autotranslation of "ss" -> "ß" in any case is wrong, because "ss" is a valid construct in german and other languages and is used in many words without ever having a relationship with "ß". (As "ß" is correctly spelled "sz" and not "ss", which makes the entire conversion rule wrong in my eyes, but thats a different story some german linguists have to tell )


Version-Release number of selected component (if applicable):

3.22.1

Notes:

All plugins of gedit have been disabled, so it's a build in functionality.

Comment 1 Fedora End Of Life 2018-05-03 08:19:50 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-27 15:41:57 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:37:11 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.